Loading...
Searching...
No Matches
spectrophore.h File Reference
`#include <openbabel/babelconfig.h>`
`#include <vector>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OBSpectrophore

## Namespaces

namespace | OpenBabel

## Macros

#define | MIN(x, y)
#define | MAX(x, y)
#define | N_PROPERTIES 4

## Detailed Description

Class to compute Spectrophores™.

Author
  Hans De Winter

Date
  2010-06-30

Version
  1

## Macro Definition Documentation

## MIN

#define MIN | ( |  | x,
|  |  | y )

Value:
(((x) < (y)) ? (x) : (y))

Referenced by OBSpectrophore::_getBox(), and OBSpectrophore::_updateSpectrophore().

## MAX

#define MAX | ( |  | x,
|  |  | y )

Value:
(((x) > (y)) ? (x) : (y))

Referenced by OBSpectrophore::_getBox().

## N_PROPERTIES

#define N_PROPERTIES 4

Referenced by OBSpectrophore::_getEnergies(), OBSpectrophore::_initiateSpectrophore(), OBSpectrophore::_updateSpectrophore(), and OBSpectrophore::GetSpectrophore().